# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### libwebarchiverplugin (kpart) ##############

tde_add_kpart( libwebarchiverplugin AUTOMOC
  SOURCES plugin_webarchiver.cpp archiveviewbase.ui archivedialog.cpp
  LINK tdehtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### webarchivethumbnail (kpart) ###############

tde_add_kpart( webarchivethumbnail AUTOMOC
  SOURCES webarchivecreator.cpp
  LINK tdehtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( webarchiver )


##### other data ################################

install( FILES plugin_webarchiver.rc plugin_webarchiver.desktop
  DESTINATION ${DATA_INSTALL_DIR}/tdehtml/kpartplugins
)

install( FILES webarchivethumbnail.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install( FILES plugin_webarchiver.desktop
  DESTINATION ${APPS_INSTALL_DIR}/.hidden
)

install( FILES ../uninstall.desktop
  RENAME webarchiverplugin.desktop
  DESTINATION ${DATA_INSTALL_DIR}/tdehtml/kpartplugins
)
